package com.manalo.prototype;

import java.util.List;

import org.springframework.context.support.AbstractXmlApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

import com.manalo.domain.User;
import com.manalo.service.UserManager;

public class App {

	public static void main(String[] args) {

		/**
		 * Order of xml files to be loaded is important
		 */
		final String[] CONFIG_FILES = { "database-init.xml", "spring-core.xml" };

		AbstractXmlApplicationContext context = new ClassPathXmlApplicationContext(
				CONFIG_FILES);

		UserManager userManager = context.getBean(UserManager.class);

		User user = new User();

		user.setUsername("drmanalo");
		user.setPassword("secret");

		userManager.addUser(user);

		user = userManager.getUserByUserName("drmanalo");

		System.out.println("Id:       " + user.getId());
		System.out.println("Username: " + user.getUsername());
		System.out.println("Password: " + user.getPassword());

		List<User> users = userManager.getUsers();

		System.out.println("Number of users: " + users.size());

		context.close();

	}
}
